<template>
  <div class="container">
    <v-card
      v-for="(d, i) in deal"
      :key="i"
      class="mx-auto carte"
      outlined
      tile
      color="accent">

      <div class="d-flex flex-no-wrap">
        <v-avatar class="ma-3" size="150" tile>
          <v-img :src="d.imgURL"  :alt="d.imgURL"/>
        </v-avatar>
        <div class="flex-md-row">
          <v-card-title class="text-h3"> {{ d.temperature }}°</v-card-title>
          <v-card-subtitle
            class="text-h4 text-overline"
          >{{  d.title  }} </v-card-subtitle>
          <v-card-text class="text-h6"> {{ d.creator}} | {{ d.shopName }} </v-card-text>
        </div>
        <v-spacer></v-spacer>
        <div class="flex-row">
          <div class="flex-row">

          </div>
          <v-card-text> {{ dateToFormat(d.date) }} </v-card-text>
          <v-btn
            x-large
            tile
            color="primary"
            style="z-index: 1; position: absolute; right: 10px; bottom: 10px;"
            :href="d.shopLink"
            target="_blank">
            Voir
          </v-btn>
        </div>
      </div>
      <div class="d-flex flex-no-wrap">
        <v-card
          class="mx-auto"
          width="100%"
          elevation="24"
          outlined
          tile
          color="accent">
          <v-card-text class="text-h6 text-center" > {{ d.promoCode }}</v-card-text>
          <v-divider></v-divider>
          <v-card-text class="text-h6 text-center" two-line> {{ calculDiscount(d.priceOld, d.priceNew) }}</v-card-text>
          <v-divider></v-divider>
          <v-card-text class="text-justify text-pre-wrap"> {{ d.description }} </v-card-text>
        </v-card>
      </div>

    </v-card>
  </div>
</template>

<script>

import moment from "moment";

export default {
  name: "OneDeal",
  props: ['dealId'],
  data () {
    return {
      deal: [],
    }
  },
  created() {
    this.initialize()
  },
  methods:{
    initialize () {
      this.$axios.get('http://localhost:8080/deals/' + this.dealId).then( res => {
        this.deal.push(res.data)
      })
    },
    dateToFormat(date) {
      moment.locale("fr");
      return moment(date).format('DD MMMM yy');
    },
    calculDiscount(a, b) {
      if (a == -1) return b + " €"
      else {
        const remise =  100 - (b * 100)/a
        return a  + " € > " +  b + " € (" + Math.round(remise) + "% de remise)"
      }
    }
  }
}
</script>
